SchemaExport.Type (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.hibernate.tool.hbm2ddl
Enum SchemaExport.Type

    java.lang.Object
      java.lang.Enum<SchemaExport.Type>
          org.hibernate.tool.hbm2ddl.SchemaExport.Type

All Implemented Interfaces:
  Serializable, Comparable<SchemaExport.Type>

Enclosing class:
  SchemaExport

    public static enum SchemaExport.Type

extends Enum<SchemaExport.Type>

Enum Constant Summary
`BOTH`
`CREATE`
`DROP`
`NONE`

Method Summary
`boolean` | `doCreate()`
`boolean` | `doDrop()`
`static SchemaExport.Type` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SchemaExport.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### CREATE

    public static final SchemaExport.Type CREATE

### DROP

    public static final SchemaExport.Type DROP

### NONE

    public static final SchemaExport.Type NONE

### BOTH

    public static final SchemaExport.Type BOTH

Method Detail

### values

    public static SchemaExport.Type[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (SchemaExport.Type c : SchemaExport.Type.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static SchemaExport.Type valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### doCreate

    public boolean doCreate()

### doDrop

    public boolean doDrop()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.